#
# spec file for package libnl-doc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnl-doc
Version:        3.2.22
Release:        8.1
Summary:        Documentation for libnl, a library for working with Netlink sockets
License:        GPL-3.0
Group:          Documentation/HTML
Url:            http://www.carisma.slowglass.com/~tgr/libnl/

#Git-Clone:	git://git.infradead.org/users/tgr/libnl
#Git-Clone:	git://github.com/tgraf/libnl
#DL-URL:	http://www.carisma.slowglass.com/~tgr/libnl/files/
Source:         libnl-doc-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
BuildRequires:  xz
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
The libnl suite is a collection of libraries providing APIs to
Netlink protocol based Linux kernel interfaces.

%prep
%if 0%{?__xz:1}
%setup -qn libnl-doc-%version
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTqn libnl-doc-%version
%endif

%build

%install
b="%buildroot";
rm -Rf build-aux configure.ac
find . -name .gitignore -delete
mkdir -p "$b/%_docdir"
cp -a . "$b/%_docdir/%name"
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%files
%defattr(-,root,root)
%_docdir/%name

%changelog
* Wed Jun  5 2013 jengelh@inai.de
- Initial package (version 3.2.22) for build.opensuse.org
